
.skeleton {
    background-color: #e9e9e9;
    border-radius: 4px;
    margin: 10px 0;
    overflow: hidden;
    position: relative;
  }
  
  .skeleton::after {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    height: 100%;
    width: 100%;
    background: linear-gradient(to right, #e0e0e0 0%, #f0f0f0 50%, #e0e0e0 100%);
    animation: loading 1.5s infinite;
  }
  
  @keyframes loading {
    0% {
      left: -100%;
    }
    50% {
      left: 100%;
    }
    100% {
      left: 100%;
    }
  }
  
  .skeleton-title {
    height: 30px;
    width: 70%;
  }
  
  .skeleton-text {
    height: 20px;
    width: 100%;
  }
  
  .main-slider-skeleton{
    height: 720px;
  }

  .main-top-categories-skeleton{
    height: 384px;
  }
  @media (max-width:767px) {
    .main-top-categories-skeleton{
      height: 200x;
    }
  }



  .main-all-categories-skeleton{
    height: 240px;
  }
  
  @media (max-width:767px) {
    .main-all-categories-skeleton{
      height: 125px;
    }
  }

  .main-image-video-skeleton{
    height: 720px;
  }
  
  @media (max-width:1024px) {
    .main-image-video-skeleton{
      height: 720px;
    }
  }

  @media (max-width:767px) {
    .main-image-video-skeleton{
      height: 720px;
    }
  }